> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pachtify360.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sevdeskdocuments 1



## OpenAPI

````yaml /openapi.yaml get /sevdesk/documents/{id}
openapi: 3.1.0
info:
  title: Api
  version: 2.1.4
  description: Pachtify360 API specification
servers:
  - url: /api
    description: Base API path
security:
  - cookieAuth: []
tags:
  - name: health
    description: Health operations
  - name: pachtkonten
    description: Lease account management
  - name: patchobjekte
    description: Patch object management
  - name: kontakte
    description: Contact management
  - name: abrechnung
    description: Billing and invoicing
  - name: audit
    description: Audit log management
  - name: dashboard
    description: Dashboard summary data
  - name: duplikate
    description: Duplicate detection and merge
  - name: einstellungen
    description: Application settings
paths:
  /sevdesk/documents/{id}:
    get:
      tags:
        - sevdesk
      operationId: getSevdeskDocument
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Belegvorschau aus dem Archiv und letzter sevDesk-Status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SevdeskDocumentDetail'
components:
  schemas:
    SevdeskDocumentDetail:
      type: object
      required:
        - document
        - positions
        - plannedObjectType
        - expectedGross
        - previewError
      properties:
        document:
          $ref: '#/components/schemas/SevdeskDocument'
        positions:
          type: array
          items:
            $ref: '#/components/schemas/SevdeskPosition'
        plannedObjectType:
          type:
            - string
            - 'null'
        expectedGross:
          type:
            - number
            - 'null'
        previewError:
          type:
            - string
            - 'null'
    SevdeskDocument:
      type: object
      required:
        - id
        - documentNumber
        - date
        - documentType
        - cancelledLocally
        - state
        - reference
        - objectType
        - objectId
        - remoteStatus
        - grossAmount
        - paidAmount
        - openAmount
        - lastCheckedAt
        - error
        - pdfTransferred
      properties:
        id:
          type: integer
        documentNumber:
          type:
            - string
            - 'null'
        date:
          type: string
        documentType:
          type:
            - string
            - 'null'
        cancelledLocally:
          type: boolean
        state:
          type: string
        reference:
          type: string
        objectType:
          type:
            - string
            - 'null'
        objectId:
          type:
            - string
            - 'null'
        remoteStatus:
          type:
            - integer
            - 'null'
        grossAmount:
          type:
            - number
            - 'null'
        paidAmount:
          type:
            - number
            - 'null'
        openAmount:
          type:
            - number
            - 'null'
        lastCheckedAt:
          type:
            - string
            - 'null'
        error:
          type:
            - string
            - 'null'
        pdfTransferred:
          type: boolean
    SevdeskPosition:
      type: object
      required:
        - name
        - grossAmount
        - taxRate
        - allocation
      properties:
        name:
          type: string
        grossAmount:
          type: number
        taxRate:
          type: number
        allocation:
          type: string
          enum:
            - trust
            - fee
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: pachtify360.sid
      description: Serverseitige Anwendungssitzung nach Microsoft-Anmeldung.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.